StarObjectSmallGraphicInternal::SdrGraphicText Class Reference documentation

StarObjectSmallGraphicInternal::SdrGraphicText Class Reference

Internal: virtual class to store a Sdr graphic text. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SdrGraphicText:

## Public Member Functions
| SdrGraphicText (int id)
| constructor
| ~SdrGraphicText () override
| destructor
void | updateTransformProperties (librevenge::RVNGPropertyList &list, double relUnit) const
| try to update the transformation
std::string | print () const override
| basic print function
bool | sendTextZone (STOFFListenerPtr &listener, STOFFFrameStyle const &pos, StarObject &object)
| try to send the text zone to the listener
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
| SdrGraphicAttribute (int id)
| constructor
| ~SdrGraphicAttribute () override
| destructor
void | updateStyle (StarState &state, STOFFListenerPtr listener) const
| try to update the style
Public Member Functions inherited from StarObjectSmallGraphicInternal::SdrGraphic
| SdrGraphic (int id)
| constructor
| ~SdrGraphic () override
| destructor
std::string | getName () const override
| return the object name
StarState | getState (StarObject &object, STOFFListenerPtr listener, STOFFFrameStyle const &) const
| return a pool corresponding to an object
void | updateStyle (StarState &state, STOFFListenerPtr) const
| try to update the graphic style
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor
virtual | ~Graphic ()
| destructor
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener

## Public Attributes
int | m_textKind
| the text kind
STOFFBox2i | m_textRectangle
| the text rectangle
int | m_textDrehWink
| the dreh wink: rotation?
int | m_textShearWink
| the shear wink
std::shared_ptr< OutlinerParaObject > | m_outlinerParaObject
| the outliner object
STOFFBox2i | m_textBound
| the text bound
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphicAttribute
std::vector< std::shared_ptr< StarItem > > | m_itemList
| the list of star item
librevenge::RVNGString | m_sheetStyle
| the sheet style name
Public Attributes inherited from StarObjectSmallGraphicInternal::SdrGraphic
STOFFBox2i | m_bdbox
| the bdbox
int | m_layerId
| the layer id
STOFFVec2i | m_anchorPosition
| the anchor position
std::vector< GluePoint > | m_polygon
| a polygon
bool | m_flags [6]
| a list of flag
std::vector< std::shared_ptr< StarObjectSmallGraphicInternal::SDRUserData > > | m_userDataList
| the user data list
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type

## Friends
std::ostream & | operator<< (std::ostream &o, SdrGraphicText const &graph)
| print object data

## Detailed Description

Internal: virtual class to store a Sdr graphic text.

## Constructor & Destructor Documentation

## ◆ SdrGraphicText()

StarObjectSmallGraphicInternal::SdrGraphicText::SdrGraphicText | ( | int | id | ) |
| inlineexplicit

constructor

Referenced by operator<<, StarObjectSmallGraphicInternal::SdrGraphicEdge::SdrGraphicEdge(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::SdrGraphicMeasure(), StarObjectSmallGraphicInternal::SdrGraphicPath::SdrGraphicPath(), and StarObjectSmallGraphicInternal::SdrGraphicRect::SdrGraphicRect().

## ◆ ~SdrGraphicText()

StarObjectSmallGraphicInternal::SdrGraphicText::~SdrGraphicText | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SdrGraphicText::print | ( |  | ) | const
| inlineoverridevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SdrGraphicAttribute.

Reimplemented in StarObjectSmallGraphicInternal::SdrGraphicUno.

Referenced by StarObjectSmallGraphicInternal::SdrGraphicEdge::print(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::print(), StarObjectSmallGraphicInternal::SdrGraphicPath::print(), and StarObjectSmallGraphicInternal::SdrGraphicRect::print().

## ◆ sendTextZone()

bool StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone | ( | STOFFListenerPtr & | listener,
|  | STOFFFrameStyle const & | pos,
|  | StarObject & | object )
| inline

try to send the text zone to the listener

Referenced by StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), and StarObjectSmallGraphicInternal::SdrGraphicRect::send().

## ◆ updateTransformProperties()

void StarObjectSmallGraphicInternal::SdrGraphicText::updateTransformProperties | ( | librevenge::RVNGPropertyList & | list,
|  | double | relUnit ) const
| inline

try to update the transformation

Referenced by StarObjectSmallGraphicInternal::SdrGraphicCaption::send(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicEdge::send(), StarObjectSmallGraphicInternal::SdrGraphicMeasure::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), and StarObjectSmallGraphicInternal::SdrGraphicRect::send().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SdrGraphicText const & | graph )
| friend

print object data

## Member Data Documentation

## ◆ m_outlinerParaObject

std::shared_ptr<OutlinerParaObject> StarObjectSmallGraphicInternal::SdrGraphicText::m_outlinerParaObject

the outliner object

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectText(), SdrGraphicText(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicPath::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), and sendTextZone().

## ◆ m_textBound

STOFFBox2i StarObjectSmallGraphicInternal::SdrGraphicText::m_textBound

the text bound

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectText(), and SdrGraphicText().

## ◆ m_textDrehWink

int StarObjectSmallGraphicInternal::SdrGraphicText::m_textDrehWink

the dreh wink: rotation?

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectText(), SdrGraphicText(), sendTextZone(), and updateTransformProperties().

## ◆ m_textKind

int StarObjectSmallGraphicInternal::SdrGraphicText::m_textKind

the text kind

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectText(), and SdrGraphicText().

## ◆ m_textRectangle

STOFFBox2i StarObjectSmallGraphicInternal::SdrGraphicText::m_textRectangle

the text rectangle

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectText(), SdrGraphicText(), StarObjectSmallGraphicInternal::SdrGraphicCircle::send(), StarObjectSmallGraphicInternal::SdrGraphicRect::send(), sendTextZone(), and updateTransformProperties().

## ◆ m_textShearWink

int StarObjectSmallGraphicInternal::SdrGraphicText::m_textShearWink

the shear wink

Referenced by operator<<, StarObjectSmallGraphic::readSVDRObjectText(), and SdrGraphicText().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx